Subject: Re: PATCHv3 2.6.17-rc5 tulip free_irq() called too late

From: Jeff Garzik <[email-masked]>
Date: Fri, 16 Jun 2006 03:32:56 -0400

Grant Grundler wrote:
> On Thu, Jun 15, 2006 at 10:30:17PM +0200, Francois Romieu wrote:
>> Afaik free_irq() on a shared irq does not touch the hardware and
>> irqs are anything but synchronous. If free_irq() is issued before
>> the device is idle and its irq are not acked, it's wrong.
> 
> Correct. Before calling free_irq(), patch V3 masks interrupts on tulip
> and guarantees the tulip will not generate new interrupts before that call.

Incorrect -- it does not guarantee that tulip will not generate new 
interrupt events.

	Jeff